Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class AccessFilter

    java.lang.Object
      rabbit.filter.AccessFilter

All Implemented Interfaces:
  IPAccessFilter

    public class AccessFilter

extends java.lang.Object
implements IPAccessFilter

This is a class that filters access based on ip adress.

Constructor Summary
`AccessFilter()`

Method Summary
`boolean` | `doIPFiltering(java.net.Socket s)` Filter based on a socket.
`java.util.List<IPAccess>` | `getIPList()` Get the list of ips allowed
`void` | `loadAccess(Logger logger, java.io.Reader r)` Loads in the accessess allowed from the given Reader
`void` | `saveAccess(Logger logger, java.io.Reader r)` Saves the accesslist from the given Reader.
`void` | `setup(Logger logger, SProperties properties)` Setup this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessFilter

    public AccessFilter()

Method Detail

### doIPFiltering

    public boolean doIPFiltering(java.net.Socket s)

  Filter based on a socket.

  Specified by:
    `doIPFiltering` in interface `IPAccessFilter`
  Parameters:
    `s` - the Socket to check.
  Returns:
    true if the Socket should be allowed, false otherwise.

### setup

    public void setup(Logger logger,
                      SProperties properties)

  Setup this class.

  Specified by:
    `setup` in interface `IPAccessFilter`
  Parameters:
    `properties` - the Properties to get the settings from.
    `logger` - the Logger to use in case of errors/warnings.

### loadAccess

    public void loadAccess(Logger logger,
                           java.io.Reader r)
                    throws java.io.IOException

  Loads in the accessess allowed from the given Reader

  Specified by:
    `loadAccess` in interface `IPAccessFilter`
  Parameters:
    `r` - the Reader were data is available
  Throws:
    `java.io.IOException`

### saveAccess

    public void saveAccess(Logger logger,
                           java.io.Reader r)
                    throws java.io.IOException

  Saves the accesslist from the given Reader.

  Specified by:
    `saveAccess` in interface `IPAccessFilter`
  Parameters:
    `r` - the Reader with the users.
  Throws:
    `java.io.IOException`

### getIPList

    public java.util.List<IPAccess> getIPList()

  Get the list of ips allowed

  Specified by:
    `getIPList` in interface `IPAccessFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD